Bug 1758171 (CVE-2019-14892) - CVE-2019-14892 jackson-databind: Serialization gadgets in classes of the commons-configuration package
Summary: CVE-2019-14892 jackson-databind: Serialization gadgets in classes of the comm...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-14892
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1762572 1758172 1762564 1762566 1762567 1762568 1762569 1762570 1762571 1765103 1765104 1781719
Blocks: 1758173
TreeView+ depends on / blocked
 
Reported: 2019-10-03 13:25 UTC by Pedro Sampaio
Modified: 2020-03-30 23:17 UTC (History)
109 users (show)

Fixed In Version: jackson-databind 2.9.10, jackson-databind 2.6.7.3
Doc Type: If docs needed, set a value
Doc Text:
A flaw was discovered in jackson-databind, where it would permit polymorphic deserialization of a malicious object using commons-configuration 1 and 2 JNDI classes. An attacker could use this flaw to execute arbitrary code.
Clone Of:
Environment:
Last Closed: 2020-01-21 08:09:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:0159 None None None 2020-01-21 02:56:29 UTC
Red Hat Product Errata RHSA-2020:0160 None None None 2020-01-21 03:46:37 UTC
Red Hat Product Errata RHSA-2020:0161 None None None 2020-01-21 03:21:50 UTC
Red Hat Product Errata RHSA-2020:0164 None None None 2020-01-21 02:23:55 UTC
Red Hat Product Errata RHSA-2020:0445 None None None 2020-02-06 08:35:47 UTC
Red Hat Product Errata RHSA-2020:0729 None None None 2020-03-05 13:13:17 UTC
Red Hat Product Errata RHSA-2020:0895 None None None 2020-03-18 14:52:13 UTC
Red Hat Product Errata RHSA-2020:0899 None None None 2020-03-18 17:37:05 UTC

Description Pedro Sampaio 2019-10-03 13:25:28 UTC
A flaw was found in jackson-databind before 2.9.10. New serialization gadgets were found regarding a class of the commons-configuration 1 and commons-configuration 2 packages which may help in exploiting deserialization issues.

Upstream issue:

https://github.com/FasterXML/jackson-databind/issues/2462

Upstream patch:

https://github.com/FasterXML/jackson-databind/commit/41b7f9b90149e9d44a65a8261a8deedc7186f6af
https://github.com/FasterXML/jackson-databind/commit/819cdbcab51c6da9fb896380f2d46e9b7d4fdc3b

References:

https://medium.com/@cowtowncoder/on-jackson-cves-dont-panic-here-is-what-you-need-to-know-54cd0d6e8062

Comment 1 Pedro Sampaio 2019-10-03 13:25:50 UTC
Created jackson-databind tracking bugs for this issue:

Affects: fedora-all [bug 1758172]

Comment 5 Anten Skrabec 2019-10-18 21:30:57 UTC
Statement:

Satellite 6 does not enable polymorphic unmarshmalling, which is a required configuration for the vulnerability to be used. We may update the jackson-databind dependency in a future release.

Red Hat OpenStack Platform ships OpenDaylight, which contains the vulnerable jackson-databind. However, OpenDaylight does not expose jackson-databind in a way that would make it vulnerable, lowering the impact of the vulnerability for OpenDaylight. As such, Red Hat will not be providing a fix for OpenDaylight at this time.

Comment 13 Kunjan Rathod 2019-12-06 00:41:57 UTC
This vulnerability is out of security support scope for the following products:
 * Red Hat JBoss BPMS 6
 * Red Hat JBoss Data Virtualization & Services 6


Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 18 errata-xmlrpc 2020-01-21 02:23:52 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2020:0164 https://access.redhat.com/errata/RHSA-2020:0164

Comment 19 errata-xmlrpc 2020-01-21 02:56:26 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 6

Via RHSA-2020:0159 https://access.redhat.com/errata/RHSA-2020:0159

Comment 20 errata-xmlrpc 2020-01-21 03:21:46 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 8

Via RHSA-2020:0161 https://access.redhat.com/errata/RHSA-2020:0161

Comment 21 errata-xmlrpc 2020-01-21 03:46:34 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 7

Via RHSA-2020:0160 https://access.redhat.com/errata/RHSA-2020:0160

Comment 22 Product Security DevOps Team 2020-01-21 08:09:43 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-14892

Comment 24 errata-xmlrpc 2020-02-06 08:35:35 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On

Via RHSA-2020:0445 https://access.redhat.com/errata/RHSA-2020:0445

Comment 25 errata-xmlrpc 2020-03-05 13:13:10 UTC
This issue has been addressed in the following products:

  Red Hat Data Grid 7.3.5

Via RHSA-2020:0729 https://access.redhat.com/errata/RHSA-2020:0729

Comment 26 errata-xmlrpc 2020-03-18 14:52:07 UTC
This issue has been addressed in the following products:

  Red Hat Process Automation

Via RHSA-2020:0895 https://access.redhat.com/errata/RHSA-2020:0895

Comment 27 errata-xmlrpc 2020-03-18 17:36:57 UTC
This issue has been addressed in the following products:

  Red Hat Decision Manager

Via RHSA-2020:0899 https://access.redhat.com/errata/RHSA-2020:0899


Note You need to log in before you can comment on or make changes to this bug.